import _defineProperty from "@babel/runtime/helpers/defineProperty";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

import makeStyles from "../../styles/makeStyles";

var styles = function styles(_ref) {
  var _ref$cleverUI = _ref.cleverUI,
      spaces = _ref$cleverUI.spaces,
      typography = _ref$cleverUI.typography,
      colors = _ref$cleverUI.colors,
      breakpoints = _ref$cleverUI.breakpoints;
  return {
    standardButton: _objectSpread(_objectSpread({
      margin: 0,
      border: 0,
      maxWidth: "220px",
      padding: "".concat(spaces.sm, " ").concat(spaces.md),
      background: "none",
      position: "relative",
      display: "flex",
      justifyContent: "center",
      alignItems: "center",
      gap: spaces.sm
    }, typography.variants.inputText), {}, _defineProperty({
      color: colors.neutral[900],
      cursor: "pointer",
      wordBreak: "break-word",
      "&[disabled]": {
        cursor: "default",
        color: colors.neutral[500],
        filter: "grayscale(80%)"
      },
      "& > *": {
        flexShrink: 0
      }
    }, breakpoints.up("sm"), {
      minWidth: "160px"
    })),
    captionButton: _objectSpread(_objectSpread({
      border: 0,
      margin: 0,
      padding: "".concat(spaces.xs, " ").concat(spaces.sm),
      cursor: "pointer",
      background: "none",
      position: "relative",
      display: "flex",
      justifyContent: "center",
      alignItems: "center",
      gap: spaces.sm
    }, typography.variants.caption), {}, {
      color: colors.neutral[500],
      "&[aria-selected=true]": {
        borderBottom: "3px solid ".concat(colors.primary[500]),
        fontWeight: 700
      },
      "&[disabled]": {
        cursor: "default",
        color: colors.neutral[300],
        filter: "grayscale(80%)"
      }
    })
  };
};

export default makeStyles(styles);